Package com.sun.speech.freetts.jsapi

# Class FreeTTSVoice

Voice
com.sun.speech.engine.synthesis.BaseVoice
com.sun.speech.freetts.jsapi.FreeTTSVoice

public class FreeTTSVoice extends BaseVoice
Extends the BaseVoice class to encapsulate FreeTTSSynthesizer specific data.

## Field Summary

### Fields inherited from class com.sun.speech.engine.synthesis.BaseVoice

`defaultPitch, defaultPitchRange, defaultSpeakingRate, defaultVolume, voiceId`

## Constructor Summary

Constructors
Constructor
Description
`FreeTTSVoice(Voice freettsVoice, String validatorName)`
Constructs a FreeTTSVoice

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`
Creates a copy of this `BaseVoice`.
`String`
`getId()`
Gets the id for this voice.
`Voice`
`getVoice()`
Gets a FreeTTS com.sun.speech.freetts.Voice from this JSAPI voice
`void`
`setId(String id)`
Sets the id for this voice.
`String`
`toString()`
Gets a string representation of the object
`void`
`validate()`
Validates this FreeTTSVoice.

### Methods inherited from class com.sun.speech.engine.synthesis.BaseVoice

`getPitch, getPitchRange, getSpeakingRate, getVolume`

## Constructor Details

### FreeTTSVoice

public FreeTTSVoice(Voice freettsVoice, String validatorName)
Constructs a FreeTTSVoice

Parameters:
  `freettsVoice` - the freetts voice
  `validatorName` - the classname of the validator to use

## Method Details

### getId

public String getId()
Gets the id for this voice. Should be unique for a synthesizer.

Overrides:
  `getId` in class `BaseVoice`
Returns:
  the voice id
See Also:
  - `BaseVoice.setId(java.lang.String)`

### toString

public String toString()
Gets a string representation of the object

Overrides:
  `toString` in class `BaseVoice`
Returns:
  the name of this voice

### getVoice

public Voice getVoice()
Gets a FreeTTS com.sun.speech.freetts.Voice from this JSAPI voice

Returns:
  a FreeTTS Voice or null, if the voice cannot be found

### setId

public void setId(String id)
Sets the id for this voice.

Overrides:
  `setId` in class `BaseVoice`
Parameters:
  `id` - the new id
See Also:
  - `BaseVoice.getId()`

### clone

public Object clone()
Creates a copy of this `BaseVoice`.

Overrides:
  `clone` in class `BaseVoice`
Returns:
  the cloned object

### validate

public void validate() throws ValidationException
Validates this FreeTTSVoice.

Throws:
  `ValidationException` - if this FreeTTSVoice is invalid